/*
* Copyright (c) 2006-2007 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Test case for requirement HATC028
*
*/


/**
 * Baseline platform header file for HeaderAnalyser 
 * test case HATC028
 */
#ifndef HATC028_H
#define HATC028_H

typedef int INT00;
typedef int INT11;
typedef char CHARRR;
typedef INT11 INT22;
typedef INT22 INT33;

/**
 * HATC028_class3
 * This class tests for default arguement value change, 
 * exported function analysis irrespective of its accessibility, 
 * and first time over loaded function.
 */
class HATC028_class1
{
public:
    IMPORT_C HATC028_class1();
    IMPORT_C virtual ~HATC028_class1();
    IMPORT_C int GetValue();
    IMPORT_C int GetValue(int l);
    
    IMPORT_C int exitCount(int i = 9); 
    
    IMPORT_C int func_int1(INT00 a, int b);
    
    IMPORT_C INT33 func_int2(INT22 a, INT11 b);
    
    IMPORT_C CHARRR func_int3(INT00 a, INT11 b);
    
    INT33 TestTypedefs;
    
protected:
	IMPORT_C void exit( int p); 
	IMPORT_C void exit( char p); 
	IMPORT_C void exit( int p,char q); 
   
private:
   IMPORT_C int defalutValues(int s, char p =1);
   IMPORT_C void enter();
   IMPORT_C void enter(char l);
};

#endif